Macaulay2 » Documentation
Packages » CompleteIntersectionResolutions :: dualWithComponents
next | previous | forward | backward | up | index | toc

# dualWithComponents -- dual module preserving direct sum information

- Usage:
    `N = dualWithComponents M`
- Inputs:
  - M, a module,
- Outputs:
  - N, a module,

## Description

If M is a direct sum module (isDirectSum M == true) then N is the direct sum of the duals of the components (and this is done recursively). This SHOULD be built into dual M, but isn't as of M2, v. 1.7

## See also

- HomWithComponents -- computes Hom, preserving direct sum information
- tensorWithComponents -- forms the tensor product, preserving direct sum information

## Ways to use dualWithComponents:

- `dualWithComponents(Module)`

## For the programmer

The object dualWithComponents is a method function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/CompleteIntersectionResolutions.m2:2623:0.